package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 会诊信息明细表
 * </p>
 *
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_consultation_detail_info")
public class ConsultationDetailInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 科室编号
     */
     @ApiModelProperty(value = "科室编号")
      private String deptCode;

    /**
     * 患者ID
     */
     @ApiModelProperty(value = "患者ID")
      private String patientId;

    /**
     * 来源类型
     */
     @ApiModelProperty(value = "来源类型")
      private String sourceType;

    /**
     * 会诊标签ID
     */
     @ApiModelProperty(value = "会诊标签ID")
      private String lableId;

    /**
     * 会诊发现时间
     */
     @ApiModelProperty(value = "会诊发现时间")
      private Date discoverTime;

    /**
     * 会诊申请提醒状态
     */
     @ApiModelProperty(value = "会诊申请提醒状态")
      private String applyStatus;

    /**
     * 会诊申请提醒ID
     */
     @ApiModelProperty(value = "会诊申请提醒ID")
      private String applyId;

    /**
     * 会诊申请提醒时间
     */
     @ApiModelProperty(value = "会诊申请提醒时间")
      private Date applyTime;

    /**
     * 会诊发起状态
     */
     @ApiModelProperty(value = "会诊发起状态")
      private String openStatus;

    /**
     * 会诊发起ID
     */
     @ApiModelProperty(value = "会诊发起ID")
      private String openId;

    /**
     * 会诊发起时间
     */
     @ApiModelProperty(value = "会诊发起时间")
      private Date openTime;

    /**
     * 会诊结论状态
     */
     @ApiModelProperty(value = "会诊结论状态")
      private String resultStatus;

    /**
     * 会诊结论时间
     */
     @ApiModelProperty(value = "会诊结论时间")
      private Date resultTime;

    /**
     * 会诊结论目标分类
     */
     @ApiModelProperty(value = "会诊结论目标分类")
      private String resultTargetType;

    /**
     * 会诊结论目标执行状态
     */
     @ApiModelProperty(value = "会诊结论目标执行状态")
      private String resultTargetExeStatus;

    /**
     * 会诊结论目标执行时间
     */
     @ApiModelProperty(value = "会诊结论目标执行时间")
      private Date resultTargetExeTime;

    /**
     * 统计状态，标记数据是否需要更新
     */
     @ApiModelProperty(value = "统计状态，标记数据是否需要更新")
      private String status;

    /**
     * 最新更新时间
     */
     @ApiModelProperty(value = "最新更新时间")
      private Date latestTime;


}
