package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 随访信息明细表
 * </p>
 *
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_follow_up_detail_info")
public class FollowUpDetailInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 科室编号
     */
     @ApiModelProperty(value = "科室编号")
      private String deptCode;

    /**
     * 患者ID
     */
     @ApiModelProperty(value = "患者ID")
      private String patientId;

    /**
     * 来源类型
     */
     @ApiModelProperty(value = "来源类型")
      private String sourceType;

    /**
     * 来源数据ID
     */
     @ApiModelProperty(value = "来源数据ID")
      private String sourceDataId;

    /**
     * 来源数据时间
     */
     @ApiModelProperty(value = "来源数据时间")
      private Date sourceDataTime;

    /**
     * 计划随访时间
     */
     @ApiModelProperty(value = "计划随访时间")
      private Date planFollowTime;

    /**
     * 随访执行状态
     */
     @ApiModelProperty(value = "随访执行状态")
      private String followExeStatus;

    /**
     * 随访执行时间
     */
     @ApiModelProperty(value = "随访执行时间")
      private Date followExeTime;

    /**
     * 随访复诊状态
     */
     @ApiModelProperty(value = "随访复诊状态")
      private String followVisitStatus;

    /**
     * 随访复诊目标科室
     */
     @ApiModelProperty(value = "随访复诊目标科室")
      private String followVisitDeptCode;

    /**
     * 随访复诊时间
     */
     @ApiModelProperty(value = "随访复诊时间")
      private Date followVisitTime;

    /**
     * 统计状态，标记数据是否需要更新
     */
     @ApiModelProperty(value = "统计状态，标记数据是否需要更新")
      private String status;

    /**
     * 最新更新时间
     */
     @ApiModelProperty(value = "最新更新时间")
      private Date latestTime;


}
