package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 复诊患者日统计表
 * </p>
 *
 * @author anros
 * @since 2024-08-27
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_patient_followup_day_info")
public class PatientFollowupDayInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 时间
     */
     @ApiModelProperty(value = "时间")
      private String dataTime;

    /**
     * 应复诊人数
     */
     @ApiModelProperty(value = "应复诊人数")
      private Integer followupNum;

    /**
     * 应复诊人数更新时间
     */
     @ApiModelProperty(value = "应复诊人数更新时间")
      private Date followupLatestTime;

    /**
     * 已复诊人数
     */
     @ApiModelProperty(value = "已复诊人数")
      private Integer followupYesNum;

    /**
     * 已复诊人数更新时间
     */
     @ApiModelProperty(value = "已复诊人数更新时间")
      private Date followupYesLatestTime;


}
