package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 复诊患者明细表
 * </p>
 *
 * @author anros
 * @since 2024-08-27
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_patient_followup_detail_info")
public class PatientFollowupDetailInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;


    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    private String dataTime;

    /**
     * 发现患者
     */
     @ApiModelProperty(value = "发现患者")
      private String patientId;


    @ApiModelProperty(value = "主患者")
    private String mainPatientId;

    @ApiModelProperty(value = "设定复诊时间start")
    private Date visitStartTime;

    @ApiModelProperty(value = "设定复诊时间end")
    private Date visitEndTime;

    /**
     * 发现时间
     */
     @ApiModelProperty(value = "发现时间")
      private Date discoveryTime;

    /**
     * 指定复诊科室
     */
     @ApiModelProperty(value = "指定复诊科室")
      private String appointDeptCode;

    /**
     * 是否复诊
     */
     @ApiModelProperty(value = "是否复诊")
      private String isFollowup;

    /**
     * 实际复诊科室
     */
     @ApiModelProperty(value = "实际复诊科室")
      private String followupDeptCode;

    /**
     * 复诊时间
     */
     @ApiModelProperty(value = "复诊时间")
      private Date followupTime;

    /**
     * 最新更新时间
     */
     @ApiModelProperty(value = "最新更新时间")
      private Date latestTime;

    @ApiModelProperty(value = "关联来源分类")
    private String relSourceType;

    @ApiModelProperty(value = "关联来源id")
    private String relSourceId;
}
