package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 住院流失患者明细表
 * </p>
 *
 * @author anros
 * @since 2024-08-27
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_patient_inpatient_loss_detail_info")
public class PatientInpatientLossDetailInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 患者
     */
     @ApiModelProperty(value = "患者")
      private String patientId;

    /**
     * 开住院单时间
     */
     @ApiModelProperty(value = "开住院单时间")
      private Date openInpatientTime;

    /**
     * 开住院单科室
     */
     @ApiModelProperty(value = "开住院单科室")
      private String openInpatientDeptCode;

    /**
     * 是否住院
     */
     @ApiModelProperty(value = "是否住院")
      private String isInpatient;

    /**
     * 住院科室
     */
     @ApiModelProperty(value = "住院科室")
      private String inpatientDeptCode;

    /**
     * 住院时间
     */
     @ApiModelProperty(value = "住院时间")
      private Date inpatientTime;

    /**
     * 最新更新时间
     */
     @ApiModelProperty(value = "最新更新时间")
      private Date latestTime;


}
