package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 潜在患者未就诊明细表
 * </p>
 *
 * @author anros
 * @since 2024-08-27
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_potential_patient_not_diagnosis_detail_info")
public class PotentialPatientNotDiagnosisDetailInfo{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    private String dataTime;

    /**
     * 患者
     */
     @ApiModelProperty(value = "患者")
      private String patientId;


    @ApiModelProperty(value = "主患者")
    private String mainPatientId;

    /**
     * 潜在疾病
     */
     @ApiModelProperty(value = "潜在疾病")
      private String diseaseId;

    /**
     * 发现时间
     */
     @ApiModelProperty(value = "发现时间")
      private Date discoveryTime;

    /**
     * 是否有诊断
     */
     @ApiModelProperty(value = "是否有诊断")
      private String isDiagnosis;


    /**
     * 最新更新时间
     */
     @ApiModelProperty(value = "最新更新时间")
      private Date latestTime;


}
