package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 服务推送日统计表
 * </p>
 *
 * @author anros
 * @since 2024-08-27
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_push_day_info")
public class PushDayInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 时间
     */
     @ApiModelProperty(value = "时间")
      private String dataTime;

    /**
     * 科室编号
     */
     @ApiModelProperty(value = "科室编号")
      private String deptCode;

    /**
     * 触发量
     */
     @ApiModelProperty(value = "触发量")
      private Integer num;

    /**
     * 推送成功数量
     */
     @ApiModelProperty(value = "推送成功数量")
      private Integer pushSuccessNum;

    /**
     * 推送失败-未关注
     */
     @ApiModelProperty(value = "推送失败-未关注")
      private Integer pushFailFollowNum;

    /**
     * 推送失败-无家属
     */
     @ApiModelProperty(value = "推送失败-无家属")
      private Integer pushFailUserNum;

    /**
     * 推送失败
     */
     @ApiModelProperty(value = "推送失败")
      private Integer pushFailNum;

    /**
     * 推送失败-无效
     */
     @ApiModelProperty(value = "推送失败-无效")
      private Integer pushInvalidNum;

    /**
     * 推送失败-超时
     */
     @ApiModelProperty(value = "推送失败-超时")
      private Integer pushTimeoutNum;

    /**
     * 推送失败-拉黑
     */
     @ApiModelProperty(value = "推送失败-拉黑")
      private Integer pushBlackListNum;

    /**
     * 推送失败-异常
     */
     @ApiModelProperty(value = "推送失败-异常")
      private Integer pushAbnormalNum;

    /**
     * 阅读次数
     */
     @ApiModelProperty(value = "阅读次数")
      private Integer readNum;

    /**
     * 行动数量
     */
     @ApiModelProperty(value = "行动数量")
      private Integer actionNum;

    /**
     * 最新更新时间
     */
     @ApiModelProperty(value = "最新更新时间")
      private Date latestTime;


}
