package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 服务推送明细表
 * </p>
 *
 * @author anros
 * @since 2024-08-27
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_push_detail_info")
public class PushDetailInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 科室编号
     */
     @ApiModelProperty(value = "科室编号")
      private String deptCode;

    /**
     * 患者ID
     */
     @ApiModelProperty(value = "患者ID")
      private String patientId;

    /**
     * 服务配置ID
     */
     @ApiModelProperty(value = "服务配置ID")
      private String servConfigId;

    /**
     * 服务ID
     */
     @ApiModelProperty(value = "服务ID")
      private String servId;

    /**
     * 家属ID
     */
     @ApiModelProperty(value = "家属ID")
      private String userId;

    /**
     * 提醒ID
     */
     @ApiModelProperty(value = "提醒ID")
      private String remindId;

    /**
     * 推送时间
     */
     @ApiModelProperty(value = "推送时间")
      private String pushTime;

    /**
     * 推送状态
     */
     @ApiModelProperty(value = "推送状态")
      private String pushStatus;

    /**
     * 阅读状态
     */
     @ApiModelProperty(value = "阅读状态")
      private String readStatus;

    /**
     * 阅读时间
     */
     @ApiModelProperty(value = "阅读时间")
      private String readTime;

    /**
     * 行为触发状态
     */
     @ApiModelProperty(value = "行为触发状态")
      private String actionStatus;

    /**
     * 行为触发时间
     */
     @ApiModelProperty(value = "行为触发时间")
      private String actionTime;

    /**
     * 统计状态，标记数据是否需要更新
     */
     @ApiModelProperty(value = "统计状态，标记数据是否需要更新")
      private String status;

    /**
     * 最新更新时间
     */
     @ApiModelProperty(value = "最新更新时间")
      private Date latestTime;


}
