package com.xxh.cloud.data.statistics.framework.modules.query.helper;

import cn.hutool.core.bean.BeanUtil;
import com.xxh.cloud.data.statistics.framework.modules.base.entity.*;
import com.xxh.cloud.data.statistics.framework.modules.query.service.bean.bos.DeptStatBO;
import com.xxh.cloud.data.statistics.framework.modules.query.service.bean.bos.DiseaseInfoStatBO;
import com.xxh.cloud.data.statistics.framework.modules.query.service.bean.vo.*;
import com.xxh.cloud.data.statistics.framework.modules.task.bean.bos.VisitDayQueryBO;

import java.util.Map;

public class DataStatisticHelper {

    public static DiagnosisPatientDayBO getDiagnosisPatientDay(DiagnosisPatientDayInfo entity,
                                                               Map<String, DiseaseInfoStatBO> diseaseMap,
                                                               Map<String, DeptStatBO> deptMap){
        DiagnosisPatientDayBO bo = new DiagnosisPatientDayBO();
        BeanUtil.copyProperties(entity, bo);
        if (diseaseMap.containsKey(bo.getDiseaseId())) {
            DiseaseInfoStatBO disease = diseaseMap.get(bo.getDiseaseId());
            bo.setDiseaseName(disease.getName());
        }
        if (deptMap.containsKey(bo.getDeptCode())) {
            DeptStatBO dept = deptMap.get(bo.getDeptCode());
            bo.setDeptName(dept.getName());
        }
        return bo;
    }

    public static PotentialPatientNotDiagnosisDayBO getPotentialPatientNotDiagnosisDay(PotentialPatientNotDiagnosisDayInfo entity,
                                                                                       Map<String, DiseaseInfoStatBO> diseaseMap){
        PotentialPatientNotDiagnosisDayBO bo = new PotentialPatientNotDiagnosisDayBO();
        BeanUtil.copyProperties(entity, bo);
        if (diseaseMap.containsKey(bo.getDiseaseId())) {
            DiseaseInfoStatBO disease = diseaseMap.get(bo.getDiseaseId());
            bo.setDiseaseName(disease.getName());
        }
        return bo;
    }

    public static PatientFollowupDayBO getPatientFollowupDay(PatientFollowupDayInfo entity){
        PatientFollowupDayBO bo = new PatientFollowupDayBO();
        BeanUtil.copyProperties(entity, bo);
        return bo;
    }

    public static PatientInpatientLossDayBO getPatientInpatientLossDay(PatientInpatientLossDayInfo entity){
        PatientInpatientLossDayBO bo = new PatientInpatientLossDayBO();
        BeanUtil.copyProperties(entity, bo);
        return bo;
    }

    public static FirstDiseaseDayBO getFirstDiseaseDayBO(FirstDiseaseDayInfo entity,
                                                         Map<String, DiseaseInfoStatBO> diseaseMap){
        FirstDiseaseDayBO bo = new FirstDiseaseDayBO();
        BeanUtil.copyProperties(entity, bo);
        if (diseaseMap.containsKey(bo.getDiseaseId())) {
            DiseaseInfoStatBO disease = diseaseMap.get(bo.getDiseaseId());
            bo.setDiseaseName(disease.getName());
        }
        return bo;
    }

    public static VisitDayQueryBO getVisitDayQueryBO(VisitDayInfo entity){
        VisitDayQueryBO bo = new VisitDayQueryBO();
        BeanUtil.copyProperties(entity, bo);
        return bo;
    }

}
