package com.xxh.cloud.data.statistics.framework.modules.query.service;

import com.xxh.cloud.data.statistics.framework.modules.query.service.bean.bos.ConsultationDayStatBO;
import com.xxh.cloud.data.statistics.framework.modules.query.service.bean.bos.FollowUpDayStatBO;
import com.xxh.cloud.data.statistics.framework.modules.query.service.bean.bos.InDayStatBO;
import com.xxh.cloud.data.statistics.framework.modules.query.service.bean.bos.MergeDayStatBO;
import com.xxh.cloud.data.statistics.framework.modules.query.service.bean.bos.PushDayStatBO;
import com.xxh.cloud.data.statistics.framework.modules.query.service.bean.bos.VisitDayStatBO;
import com.xxh.cloud.data.statistics.framework.modules.query.service.bean.dto.StatisticsQueryDTO;
import com.xxh.cloud.data.statistics.framework.modules.query.service.bean.vo.*;

import java.util.List;

public interface DataQueryService {

    // 确诊人数日统计
    List<DiagnosisPatientDayBO> listDiagnosisPatientDay(StatisticsQueryDTO params);

    // 潜在患者未就诊日统计
    List<PotentialPatientNotDiagnosisDayBO> listPotentialPatientNotDiagnosisDay(StatisticsQueryDTO params);

    // 复诊患者日统计
    List<PatientFollowupDayBO> listPatientFollowupDay(StatisticsQueryDTO params);

    // 住院流失日统计
    List<PatientInpatientLossDayBO> listPatientInpatientLossDay(StatisticsQueryDTO params);

    // 首发病患者日统计表
    List<FirstDiseaseDayBO> listFirstDiseaseDay(StatisticsQueryDTO params);


    // 统计合并
    MergeDayStatBO mergeStatData(StatisticsQueryDTO params);
    // 患者就诊日统计表
    VisitDayStatBO listVisitDay(StatisticsQueryDTO params);
    // 患者住院日统计表
    InDayStatBO listInDay(StatisticsQueryDTO params);
    // 患者服务日统计表
    PushDayStatBO listPushServeDay(StatisticsQueryDTO params);
    // 会诊统计表
    ConsultationDayStatBO listConsultationDay(StatisticsQueryDTO params);
    // 随访统计表
    FollowUpDayStatBO listFollowUpDay(StatisticsQueryDTO params);
}
