package com.xxh.cloud.data.statistics.framework.modules.query.service.bean.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 统计查询条件 优先级 日期->天数->开始结束日期
 */
@Getter
@Setter
public class StatisticsQueryDTO {

    @ApiModelProperty(value = "日期")
    private String dataTime;

    //---------------------------------------------------
    @ApiModelProperty(value = "天数(最近几天)")
    private int days;

    //--------------------------------------------------
    @ApiModelProperty(value = "开始日期")
    private String startDay;

    @ApiModelProperty(value = "结束日期")
    private String endDay;

    //-------------------
    @ApiModelProperty(value = "日期类型（y.年、m.月、w.周）")
    private String dateType;

    @ApiModelProperty(value = "年")
    private String year;

    @ApiModelProperty(value = "部门列表")
    private List<String> deptCodes;

    @ApiModelProperty(value = "标准部门列表")
    private List<String> standardDeptCodes;

}
