package com.xxh.cloud.data.statistics.framework.modules.task.mapper;


import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.xxh.cloud.data.statistics.framework.modules.task.bean.bos.*;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface StatisticsDataQueryByDwdMapper {


    /**
     * 病种统计
     * 诊断统计查询
     * */
    @Select(" SELECT department_code_standard  as deptCode ,scene_type_standard as  sceneCode ,diagnosis_code_standard  as diagnosisCode ,COUNT(1)  as num " +
            " FROM dwd_diagnosis_report_info  ${ew.customSqlSegment} ")
    public List<PatientDiagnosisDayQueryBO> queryPatientDiagnosisDay(@Param(Constants.WRAPPER) Wrapper<PatientDiagnosisDayQueryBO> wrapper);


    /**
     * 患者确诊列表
     * 根据患者统计一段时间内的诊断查询
     * */
    @Select(" SELECT patient_id as patientId,scene_type_standard as sceneCode, " +
            " GROUP_CONCAT( diagnosis_code_standard,',') as diagnosisCodes, min(diagnosis_time) as diagnosisTime " +
            " FROM dwd_diagnosis_report_info  ${ew.customSqlSegment} ")
    public List<PatientDiagnosisByPatientQueryBO> queryDiagnosisCodeByPatient(@Param(Constants.WRAPPER) Wrapper<PatientDiagnosisByPatientQueryBO> wrapper);


    /**
     * 就诊记录查询
     * */
    @Select(" select patient_id, patient_name, department_name_standard as department_name, department_code_standard as department_code, " +
            " doctor_code, visit_date from dwd_visit_record_info " +
            " ${ew.customSqlSegment} ")
    List<PatientVisitRecordBO> selectPatientVisitReport(@Param(Constants.WRAPPER) Wrapper<PatientVisitRecordBO> wrapper);


    /** 查询预约信息 */
    @Select(" select patient_id, apply_department_code_standard as apply_department_code, apply_date from dwd_inpatient_reserve_info " +
            " ${ew.customSqlSegment} ")
    List<PatientInpatientApplyQueryBO> selectPatientInpatientApply(@Param(Constants.WRAPPER) Wrapper<PatientInpatientApplyQueryBO> wrapper);

    /** 查询预约信息 */
    @Select(" select patient_id, admit_department_code_standard as department_code, inpatient_date from dwd_inpatient_record_info " +
            " ${ew.customSqlSegment} ")
    List<PatientInpatientRecordQueryBO> selectPatientInpatientRecord(@Param(Constants.WRAPPER) Wrapper<PatientInpatientRecordQueryBO> wrapper);

    /**
     * 首发诊断
     *
     * */
    @Select(" SELECT patient_id, diagnosis_code_standard as diagnosis_code, Min(diagnosis_time) as discovery_time " +
            " FROM dwd_diagnosis_report_info  ${ew.customSqlSegment} ")
    public List<FirstDiseaseDiagnosisQueryBO> queryFirstDiseaseDiagnosis(@Param(Constants.WRAPPER) Wrapper<FirstDiseaseDiagnosisQueryBO> wrapper);

    /**
     * 就诊统计
     * */
    @Select(" SELECT DATE_FORMAT(visit_date, '%Y-%m-%d') as dataTime, department_code_standard  as deptCode, COUNT(1)  as num " +
            " FROM dwd_visit_record_info  ${ew.customSqlSegment} ")
    public List<VisitDayQueryBO> queryVisitDay(@Param(Constants.WRAPPER) Wrapper<VisitDayQueryBO> wrapper);

    /**
     * 住院统计
     * */
    @Select(" SELECT DATE_FORMAT(inpatient_date, '%Y-%m-%d') as dataTime, admit_department_code_standard  as deptCode, COUNT(1)  as num " +
            " FROM dwd_inpatient_record_info  ${ew.customSqlSegment} ")
    public List<InDayQueryBO> queryInDay(@Param(Constants.WRAPPER) Wrapper<InDayQueryBO> wrapper);

}
