package com.xxh.cloud.data.statistics.framework.modules.task.schedule.everyday;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.data.statistics.framework.modules.task.service.DiagnosisPatientDayTaskService;
import com.xxh.cloud.web.common.task.constant.TaskModuleEnum;
import com.xxh.cloud.web.common.task.handler.EveryDayExecute;
import com.xxh.cloud.web.common.task.model.TaskJobParamModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

@Slf4j
@Component
@Async("taskExecutor")
public class DiagnosisPatientTaskEveryDay implements EveryDayExecute {

    @Autowired
    private DiagnosisPatientDayTaskService diagnosisPatientDayTaskService;

    /**
     * 每天统计前一天的确诊人数
     * */
    @Override
    public void execute(TaskJobParamModel params) {
        if (TaskModuleEnum.diagnosisPatient.getCode().equals(params.getModule())
                || TaskModuleEnum.AllTask.getCode().equals(params.getModule())) {
            log.info("确诊人数日统计开始 >>>>>> ");
            String date = DateUtil.formatDate(DateUtil.offsetDay(DateUtil.date(), -1));
            if (StrUtil.isNotEmpty(params.getParams())) {
                date = params.getParams();
            }
            diagnosisPatientDayTaskService.diagnosisPatientStatisticsByDate(date);
            log.info("确诊人数日统计结束 <<<<<< ");
        }

    }
}
