package com.xxh.cloud.data.statistics.framework.modules.task.schedule.everyday;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;

import com.xxh.cloud.data.statistics.framework.modules.task.service.VisitAndInDayTaskService;
import com.xxh.cloud.web.common.task.constant.TaskModuleEnum;
import com.xxh.cloud.web.common.task.handler.EveryDayExecute;
import com.xxh.cloud.web.common.task.model.TaskJobParamModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

@Slf4j
@Component
@Async("taskExecutor")
public class InDayInfoTaskEveryDay implements EveryDayExecute {

    @Autowired
    private VisitAndInDayTaskService visitAndInDayTaskService;

    /**
     * 每天统计前一天的住院人数
     * */
    @Override
    public void execute(TaskJobParamModel params) {
        if ("inDay".equals(params.getModule())
                || TaskModuleEnum.AllTask.getCode().equals(params.getModule())) {
            log.info("住院人数日统计开始 >>>>>> ");
            String startDate = DateUtil.formatDate(DateUtil.offsetDay(DateUtil.date(), -1));
            String endDate = null;
            if (StrUtil.isNotEmpty(params.getParams())) { // yyyy-MM-dd,yyyy-MM-dd
                String[] dateArray = params.getParams().split(",");
                startDate = dateArray[0];
                if (dateArray.length == 2) {
                    endDate = dateArray[1];
                }
            }
            visitAndInDayTaskService.inStatisticsByDate(startDate, endDate);
            log.info("住院人数日统计结束 <<<<<< ");
        }

    }

}
