package com.xxh.cloud.data.statistics.framework.modules.task.schedule.everyhour;

import com.xxh.cloud.data.statistics.framework.modules.task.service.DiagnosisPatientDayTaskService;
import com.xxh.cloud.web.common.task.constant.TaskModuleEnum;
import com.xxh.cloud.web.common.task.handler.EveryDayExecute;
import com.xxh.cloud.web.common.task.handler.EveryHourExecute;
import com.xxh.cloud.web.common.task.model.TaskJobParamModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

@Slf4j
@Component
@Async("taskExecutor")
public class DiagnosisPatientTaskEveryHour implements EveryHourExecute {

    @Autowired
    private DiagnosisPatientDayTaskService diagnosisPatientDayTaskService;

    /**
     * 每小时统计-当天确诊人数日统计
     * */
    @Override
    public void execute(TaskJobParamModel params) {
        if (TaskModuleEnum.diagnosisPatient.getCode().equals(params.getModule())
                || TaskModuleEnum.AllTask.getCode().equals(params.getModule())) {
            log.info("最新确诊人数日统计开始 >>>>>> ");
            diagnosisPatientDayTaskService.diagnosisPatientStatisticsByLatest();
            log.info("最新确诊人数日统计结束 <<<<<< ");
        }

    }
}
