package com.xxh.cloud.data.statistics.framework.modules.task.schedule.everyhour;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.data.statistics.framework.modules.task.service.DiagnosisPatientDayTaskService;
import com.xxh.cloud.data.statistics.framework.modules.task.service.FirstDiseaseDayTaskService;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import com.xxh.cloud.web.common.task.constant.TaskModuleEnum;
import com.xxh.cloud.web.common.task.handler.EveryDayExecute;
import com.xxh.cloud.web.common.task.handler.EveryHourExecute;
import com.xxh.cloud.web.common.task.model.TaskJobParamModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
@Async("taskExecutor")
public class FirstDiseaseDayInfoTaskEveryHour implements EveryHourExecute {

    @Autowired
    private FirstDiseaseDayTaskService firstDiseaseDayTaskService;

    /**
     * 每小时统计-当天的首发疾病
     * */
    @Override
    public void execute(TaskJobParamModel params) {
        if (TaskModuleEnum.firstDisease.getCode().equals(params.getModule())
                || TaskModuleEnum.AllTask.getCode().equals(params.getModule())) {
            log.info("首发疾病日统计开始 >>>>>> ");
            String date = DateUtil.formatDate(DateUtil.date());
            firstDiseaseDayTaskService.syncFirstDisease(date);
            log.info("首发疾病日统计结束 <<<<<< ");
        }

    }
}
