package com.xxh.cloud.data.statistics.framework.modules.task.schedule.everyhour;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;

import com.xxh.cloud.data.statistics.framework.modules.task.service.FollowUpServeTaskService;
import com.xxh.cloud.web.common.task.constant.TaskModuleEnum;
import com.xxh.cloud.web.common.task.handler.EveryHourExecute;
import com.xxh.cloud.web.common.task.model.TaskJobParamModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

@Slf4j
@Component
@Async("taskExecutor")
public class FollowUpDetailTaskEveryHour implements EveryHourExecute {

    @Autowired
    private FollowUpServeTaskService followUpServeTaskService;

    /**
     * 随访统计详情处理
     * */
    @Override
    public void execute(TaskJobParamModel params) {
        if ("followupDetail".equals(params.getModule())
                || TaskModuleEnum.AllTask.getCode().equals(params.getModule())) {
            log.info("随访统计详情处理开始 >>>>>> ");
            String startDate = DateUtil.formatDateTime(DateUtil.date());
            String endDate = null;
            if (StrUtil.isNotEmpty(params.getParams())) { // yyyy-MM-dd,yyyy-MM-dd
                String[] dateArray = params.getParams().split(",");
                startDate = dateArray[0];
                if (dateArray.length == 2) {
                    endDate = dateArray[1];
                }
            }
            followUpServeTaskService.followUpDetailStatisticsByDate(startDate, endDate);
            log.info("随访统计详情处理结束 <<<<<< ");
        }

    }

}
