package com.xxh.cloud.data.statistics.framework.modules.task.schedule.everyhour;

import cn.hutool.core.date.DateUtil;
import com.xxh.cloud.data.statistics.framework.modules.task.service.PatientFollowupDayTaskService;
import com.xxh.cloud.data.statistics.framework.modules.task.service.PatientInpatientLossDayTaskService;
import com.xxh.cloud.web.common.task.constant.TaskModuleEnum;
import com.xxh.cloud.web.common.task.handler.EveryHourExecute;
import com.xxh.cloud.web.common.task.model.TaskJobParamModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

@Slf4j
@Component
@Async("taskExecutor")
public class PatientInpatientLossDayTaskEveryHour implements EveryHourExecute {

    @Autowired
    private PatientInpatientLossDayTaskService patientInpatientLossDayTaskService;

    /**
     * 每小时统计当天的住院流失记录
     * */
    @Override
    public void execute(TaskJobParamModel params) {
        if (TaskModuleEnum.patientInpatientLoss.getCode().equals(params.getModule())
                || TaskModuleEnum.AllTask.getCode().equals(params.getModule())) {
            log.info("最新住院流失记录日统计开始开始 >>>>>> ");
            String date = DateUtil.formatDate(DateUtil.date());
            // 同步潜在患者
            patientInpatientLossDayTaskService.syncInpatientApply(date);
            // 计算患者是否就诊
            patientInpatientLossDayTaskService.calculateInpatientApply(date);
            log.info("最新住院流失记录日统计开始结束 <<<<<< ");
        }
    }
}
