package com.xxh.cloud.data.statistics.framework.modules.task.schedule.everyhour;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.data.statistics.framework.modules.task.service.PatientInpatientLossDayTaskService;
import com.xxh.cloud.data.statistics.framework.modules.task.service.PotentialPatientNotDiagnosisDayTaskService;
import com.xxh.cloud.web.common.task.constant.TaskModuleEnum;
import com.xxh.cloud.web.common.task.handler.EveryDayExecute;
import com.xxh.cloud.web.common.task.handler.EveryHourExecute;
import com.xxh.cloud.web.common.task.model.TaskJobParamModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

@Slf4j
@Component
@Async("taskExecutor")
public class PotentialPatientNotDiagnosisDayInfoTaskEveryHour implements EveryHourExecute {

    @Autowired
    private PotentialPatientNotDiagnosisDayTaskService potentialPatientNotDiagnosisDayTaskService;

    /**
     * 每小时统计-当天潜在患者未就诊日统计
     * */
    @Override
    public void execute(TaskJobParamModel params) {
        if (TaskModuleEnum.potentialPatient.getCode().equals(params.getModule())
                || TaskModuleEnum.AllTask.getCode().equals(params.getModule())) {
            log.info("最新潜在患者未就诊日统计开始 >>>>>> ");
            String date = DateUtil.formatDate(DateUtil.date());
            // 同步潜在患者
            potentialPatientNotDiagnosisDayTaskService.syncPotentialPatient(date);
            // 计算患者是否就诊
            potentialPatientNotDiagnosisDayTaskService.calculateDiagnosis(date);
            log.info("最新潜在患者未就诊日统计结束 <<<<<< ");
        }

    }
}
