package com.xxh.cloud.data.statistics.framework.modules.task.schedule.everyhour;

import cn.hutool.core.util.StrUtil;

import com.xxh.cloud.data.statistics.framework.modules.task.service.PushServeTaskService;
import com.xxh.cloud.web.common.task.constant.TaskModuleEnum;
import com.xxh.cloud.web.common.task.handler.EveryHourExecute;
import com.xxh.cloud.web.common.task.model.TaskJobParamModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

@Slf4j
@Component
@Async("taskExecutor")
public class PushDetailUpdateTaskEveryHour implements EveryHourExecute {

    @Autowired
    private PushServeTaskService pushServeTaskService;

    /**
     * 服务统计详情更新
     * */
    @Override
    public void execute(TaskJobParamModel params) {
        if ("pushDetailUpdate".equals(params.getModule())
                || TaskModuleEnum.AllTask.getCode().equals(params.getModule())) {
            log.info("服务统计详情更新开始 >>>>>> ");
            String startDate = null;
            String endDate = null;
            if (StrUtil.isNotEmpty(params.getParams())) { // yyyy-MM-dd,yyyy-MM-dd
                String[] dateArray = params.getParams().split(",");
                startDate = dateArray[0];
                if (dateArray.length == 2) {
                    endDate = dateArray[1];
                }
            }
            pushServeTaskService.pushDetailUpdateStatisticsByDate(startDate, endDate);
            log.info("服务统计详情更新结束 <<<<<< ");
        }

    }

}
