package com.xxh.cloud.data.statistics.framework.modules.task.service;

import com.xxh.cloud.data.statistics.framework.modules.task.bean.bos.*;
import com.xxh.cloud.data.statistics.framework.modules.task.bean.dto.PatientDiagnosisByPatientQueryDTO;
import com.xxh.cloud.data.statistics.framework.modules.task.bean.dto.PatientVisitRecordQueryDTO;

import java.util.List;

/**
 * DWD 数据仓库
 * */
public interface StatisticsDwdDataQueryService {


    /**
     * 查询：根据部门、场景、诊断号分组获取确诊人数
     * @param date : yyyy-mm-dd
     * */
    public List<PatientDiagnosisDayQueryBO> getPatientDiagnosisDayList(String date);


    /**
     *  查询:患者诊断列表
     * */
    public List<PatientDiagnosisByPatientQueryBO> getPatientDiagnosisList(PatientDiagnosisByPatientQueryDTO dto);


    /**
     *  查询:就诊记录
     * */
    public List<PatientVisitRecordBO> getPatientVisitRecordList(PatientVisitRecordQueryDTO dto);


    /**
     * 住院流失： 开住院单患者列表
     * @param date : yyyy-mm-dd
     * */
    public List<PatientInpatientApplyQueryBO> getPatientInpatientApplyList(String date);


    /**
     * 查询：一段时间内住院记录
     * */
    public List<PatientInpatientRecordQueryBO> getPatientInpatientRecordList(String startDate, String endDate);



    // 首发
    /**
     * 首发 : 查询：一段时间内，患者最早发现的诊断
     * */
    public List<FirstDiseaseDiagnosisQueryBO> getFirstDiagnosisList(String startDate,String endDate);



    // 就诊量
    public List<VisitDayQueryBO> getVisitDayList(String startDate,String endDate);

    // 住院量
    public List<InDayQueryBO> getInDayList(String startDate,String endDate);

}
