package com.xxh.cloud.data.statistics.framework.modules.task.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.IdUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xxh.cloud.data.statistics.framework.modules.base.entity.DiagnosisPatientDayInfo;
import com.xxh.cloud.data.statistics.framework.modules.base.service.DiagnosisPatientDayInfoService;
import com.xxh.cloud.data.statistics.framework.modules.task.bean.bos.PatientDiagnosisDayQueryBO;
import com.xxh.cloud.data.statistics.framework.modules.task.service.DiagnosisPatientDayTaskService;
import com.xxh.cloud.data.statistics.framework.modules.task.service.StatisticsDwdDataQueryService;
import com.xxh.cloud.data.statistics.framework.modules.task.utils.DataStatisticsTimeUtils;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 确诊患者人数日统计
 * */
@Service
public class DiagnosisPatientDayTaskServiceImpl implements DiagnosisPatientDayTaskService {


    @Autowired
    private StatisticsDwdDataQueryService statisticsDwdDataQueryService;

    @Autowired
    private DiagnosisPatientDayInfoService diagnosisPatientDayInfoService;

    @Override
    public void diagnosisPatientStatisticsByDate(String date) {
        List<PatientDiagnosisDayQueryBO> list= statisticsDwdDataQueryService.getPatientDiagnosisDayList(date);
        if(CollUtil.isEmpty(list)){
            return;
        }
        Date latestTime =new Date();

        List<DiagnosisPatientDayInfo> saveList=new ArrayList<>();
        list.forEach(item->{
            DiagnosisPatientDayInfo entity=new DiagnosisPatientDayInfo();
            entity.setId(IdUtil.getSnowflake(1,1).nextIdStr());
            entity.setDataTime(date);
            entity.setDiseaseId(item.getDiagnosisCode());
            entity.setDeptCode(item.getDeptCode());
            entity.setScene(item.getSceneCode());
            entity.setNum(item.getNum());
            entity.setLatestTime(latestTime);
            saveList.add(entity);
        });

        diagnosisPatientDayInfoService.remove(
                new QueryWrapper<DiagnosisPatientDayInfo>()
                        .eq("data_time",date)
        );

        diagnosisPatientDayInfoService.saveBatch(saveList);

    }

    @Override
    public void diagnosisPatientStatisticsByLatest() {
        String date= DataStatisticsTimeUtils.getYYYYMMDD(new Date());
        this.diagnosisPatientStatisticsByDate(date);
    }




}
